import QtQuick 2.2
import QtQuick.Layouts 1.11
import QtQuick.Controls 2.15 as QQC2
import org.kde.kirigami 2.19 as Kirigami

Flow {
    id: root
    Layout.fillWidth: true

    signal clicked(string buttonText)

    property bool hasCloseIcon: false
    property var model: undefined

    onModelChanged: {
        repeater.model = model;
    }

    spacing: Kirigami.Units.mediumSpacing

    Repeater {
        id: repeater
        model: model
        QQC2.RoundButton {
            id: attrButton
            text: modelData
            icon.name: hasCloseIcon ? "window-close" : ""

            onClicked: {
                root.clicked(modelData);
            }
        }
    }
}
